org.eclipse.viatra.transformation.debug.model.transformationstate

## Class TransformationState

- java.lang.Object
- - org.eclipse.viatra.transformation.debug.model.transformationstate.TransformationState

- All Implemented Interfaces:
    java.io.Serializable

      public class TransformationState
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformationState(java.lang.String iD)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<RuleActivation>` | `getActivationStack()`
    `ITransformationBreakpointHandler` | `getBreakpointHit()`
    `java.util.List<ITransformationBreakpointHandler>` | `getBreakpoints()`
    `java.util.List<RuleActivation>` | `getConflictingActivations()`
    `java.lang.String` | `getID()`
    `java.util.List<RuleActivation>` | `getNextActivations()`
    `java.util.List<TransformationRule>` | `getRules()`
    `protected void` | `setActivationStack(java.util.List<RuleActivation> activationStack)`
    `protected void` | `setBreakpointHit(ITransformationBreakpointHandler breakpointHit)`
    `protected void` | `setBreakpoints(java.util.List<ITransformationBreakpointHandler> breakpoints)`
    `protected void` | `setConflictingActivations(java.util.List<RuleActivation> conflictingActivations)`
    `protected void` | `setNextActivations(java.util.List<RuleActivation> nextActivations)`
    `protected void` | `setRules(java.util.List<TransformationRule> rules)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformationState

          public TransformationState(java.lang.String iD)

  - ### Method Detail

    - #### getActivationStack

          public java.util.List<RuleActivation> getActivationStack()

    - #### getID

          public java.lang.String getID()

    - #### getRules

          public java.util.List<TransformationRule> getRules()

    - #### getNextActivations

          public java.util.List<RuleActivation> getNextActivations()

    - #### getConflictingActivations

          public java.util.List<RuleActivation> getConflictingActivations()

    - #### getBreakpoints

          public java.util.List<ITransformationBreakpointHandler> getBreakpoints()

    - #### getBreakpointHit

          public ITransformationBreakpointHandler getBreakpointHit()

    - #### setRules

          protected void setRules(java.util.List<TransformationRule> rules)

    - #### setActivationStack

          protected void setActivationStack(java.util.List<RuleActivation> activationStack)

    - #### setNextActivations

          protected void setNextActivations(java.util.List<RuleActivation> nextActivations)

    - #### setConflictingActivations

          protected void setConflictingActivations(java.util.List<RuleActivation> conflictingActivations)

    - #### setBreakpoints

          protected void setBreakpoints(java.util.List<ITransformationBreakpointHandler> breakpoints)

    - #### setBreakpointHit

          protected void setBreakpointHit(ITransformationBreakpointHandler breakpointHit)